# encoding: utf-8

import gvsig
from gvsig.libs import gvpy

def main(*args):
  generarMuestras()
    
def generarMuestras():

  #Remove this lines and add here your code
  print "Geoprocesos"#, EXTENT=gvsig.currentLayer()
  v1 = gvpy.runalg("randomvector", 
                    COUNT=1000, 
                    TYPE=gvpy.TYPE_POINT, 
                    NAME="Vector aleatorio", 
                    ADDLAYER=True, 
                    EXTENT=[0,0,0,100,100,0])
  
  #proc1 = gvpy.runalg("kriging", v1, "0", "5.0", "3", "5", "0", "0.0", "100.0", "2.0", ADDLAYER=True, OUTPUT_FILTER="interpolado", EXTENT=v1, CELLSIZE=50, CELLSIZEZ=50)
  r1 = gvpy.runalg("kriging", v1, "0", "100.0", "4", "25", "0", "0.0", "10.0", "100.0",
                    CELLSIZE=1, 
                    CELLSIZEZ=1,
                    OUTPUT_FILTER="interpolado")

  
  v2 = gvpy.runalg("contourlines", r1, "100.0", "0.0", "10000.0", NAME="Contorno")

  # area de influencia
  v3 = gvpy.runalg("randomvector", COUNT=10, TYPE=gvpy.TYPE_POINT, NAME="Muestras", EXTENT=r1)
  v4 = gvpy.runalg("gvSIG-buffer", v3, False, "5.0", "0", False, True, "0", "0", NAME="Influencia")
  v5 = gvpy.runalg("clip", v2, v4, NAME="Recorte")
    
    